<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Review</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{{ static_url("main.css") }}" type="text/css">
</head>

<body>
<header>
    Review
</header>
<div class="container">
    <div class="row">
        <div class="col-md-2 padding15">
            <button class="check_code btn btn-primary ">Review</button>
        </div>
        <div class="col-md-10 padding15">
            <input class="form-control" name="request_number" placeholder="Request Number">
        </div>

    </div>

</div>

<script type="text/javascript" src="{{ static_url("validation.js") }}"></script>
<script type="text/javascript" src="{{ static_url("autonumeric.min.js") }}"></script>

<script>

    $(".update_source").click(function (e) {
        e.preventDefault();
        var modal = $("#DeleteAlertModal");
        modal.find('.modal-title').text('Update Source');
        modal.find(".modal-body").text('Delete Source And Update History Price To New Source Name:');
        var selected = [];
        $('#custom-checkbox input:checked').each(function () {
            modal.find(".modal-body").append("<br>" + $(this).val());
        });
        modal.find('button.Send').text('Update').addClass('vrf_update');
        modal.modal('show');
    });
    $(document).on("click", ".vrf_update", function () {
       var selected = [];
        $('#custom-checkbox input:checked').each(function () {
            selected.push($(this).attr('data-id'));
        });
        console.log(selected);
        var new_name= $("input.source_new_value").val();
        var modal = $("#DeleteAlertModal");
        $.ajax(
            {
                type: "POST",
                url: "/source/get-log",
                data: {sourcels: JSON.stringify(selected),new_name:new_name, act: "update_source"},
                success: function (data) {
                    if (data['status']) {
                        modal.modal("hide");
                        console.log(data['value']);
                        location.reload()
                    }
                    else {
                        alert(data['msg']);
                        console.log(data['msg'])
                    }
                }
            });
    });
    $(".add_source").click(function () {
        var new_name = $("input[name=new_name]").val();
    });
    $(".delete_source").click(function (e) {
        e.preventDefault();
        var modal = $("#DeleteAlertModal");
        modal.find('.modal-title').text('Delete Source');
        modal.find(".modal-body").text('Delete source and history price :');
        var selected = [];
        $('#custom-checkbox input:checked').each(function () {
            modal.find(".modal-body").append("<br>" + $(this).val());
        });
        modal.find('button.Send').text('Delete').addClass('vrf-delete');
        modal.modal('show');
    });
    $(document).on("click", ".vrf-delete", function () {
        var selected = [];
        $('#custom-checkbox input:checked').each(function () {
            selected.push($(this).attr('data-id'));
        });
        console.log(selected);
        var modal = $("#DeleteAlertModal");
        $.ajax(
            {
                type: "POST",
                url: "/source/get-log",
                data: {sourcels: JSON.stringify(selected), act: "delete_source"},
                success: function (data) {
                    if (data['status']) {
                        modal.modal("hide");
                        console.log(data['value']);
                        location.reload()
                    }
                    else {
                        alert(data['msg']);
                        console.log(data['msg'])
                    }
                }
            });
    });

    $(".source_name").click(function (e) {
        {#e.preventDefault();#}
        var source_id = $(this).attr("data-id");
        var title = $(this).text();
        var modal = $('.bd-example-modal-xl');
        var res = "";
        modal.find(".modal-body").html("<div class='col-md-1'>No</div><div class='col-md-3'>Order Number</div><div class='col-md-4'>Owner</div><div class='col-md-2'>Price</div><div class='col-md-2'>Date and Time</div><div class='col-md-12' ><hr></div>");
        $.ajax(
            {
                type: "POST",
                url: "/source/get-log",
                data: {source_id: source_id, act: "get_log"},
                success: function (data) {
                    modal.find('.modal-title').text(title);
                    if (data['status']) {
                        $.each(data['value'], function (i, item) {
                            modal.find(".modal-body").append("<div class='col-md-1'>" + (i + 1) + "</div><div class='col-md-3'>" + item['p_id'] + "</div><div class='col-md-4'>" + item['u_name'] + "</div><div class='col-md-2'>" + item['price'] + "</div><div class='col-md-2'>" + item['request_date'] + "</div>");
                        });
                        modal.modal('show');
                        console.log(data['value'])
                    }
                    else {
                        console.log(data['value'])
                    }
                }
            });
    });

</script>
</body>
</html>